# Generated by Django 3.0.2 on 2020-12-18 09:31

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='is deleted')),
                ('order', models.PositiveIntegerField(verbose_name='order, the bigger, the farther forward')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='create time')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='update time')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', models.CharField(max_length=500, verbose_name='description')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='django_rbac.Permission', verbose_name='parent')),
            ],
            options={
                'verbose_name': 'permission',
                'verbose_name_plural': 'permission',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='is deleted')),
                ('order', models.PositiveIntegerField(verbose_name='order, the bigger, the farther forward')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='create time')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='update time')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='django_rbac.Role', verbose_name='parent')),
                ('permissions', models.ManyToManyField(to='django_rbac.Permission', verbose_name='permissions')),
            ],
            options={
                'verbose_name': 'role',
                'verbose_name_plural': 'role',
            },
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='is deleted')),
                ('order', models.PositiveIntegerField(verbose_name='order, the bigger, the farther forward')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='create time')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='update time')),
                ('permissions', models.ManyToManyField(to='django_rbac.Permission', verbose_name='permissions')),
                ('roles', models.ManyToManyField(to='django_rbac.Role', verbose_name='roles')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'user',
            },
        ),
        migrations.CreateModel(
            name='RouteController',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='is deleted')),
                ('order', models.PositiveIntegerField(verbose_name='order, the bigger, the farther forward')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='create time')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='update time')),
                ('route', models.CharField(max_length=255, verbose_name='route')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_rbac.Permission', verbose_name='permission')),
            ],
            options={
                'verbose_name': 'route controller',
                'verbose_name_plural': 'route controller',
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='is deleted')),
                ('order', models.PositiveIntegerField(verbose_name='order, the bigger, the farther forward')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='create time')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='update time')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='django_rbac.Group', verbose_name='parent')),
                ('permissions', models.ManyToManyField(to='django_rbac.Permission', verbose_name='permissions')),
                ('roles', models.ManyToManyField(to='django_rbac.Role', verbose_name='roles')),
                ('users', models.ManyToManyField(to='django_rbac.User', verbose_name='users')),
            ],
            options={
                'verbose_name': 'group',
                'verbose_name_plural': 'group',
            },
        ),
    ]
